package daruma.sql;

import daruma.sql.SQLDataType;

public class TableColumnDefinition
{
	private	SQLDataType	sqlType;
	private	String		columnName;
	private	boolean		isExternalTable;

	public	TableColumnDefinition( String  columnName ,
				       SQLDataType  sqlType )
	{
		this.sqlType         = sqlType;
		this.columnName      = columnName;
		this.isExternalTable = false;
	}

	public	String	getColumnName()
	{
		return( this.columnName );
	}

	public	SQLDataType	getSQLDataType()
	{
		return( this.sqlType );
	}

	public	void	setIsExternalTable( boolean  isExternalTable )
	{
		this.isExternalTable = isExternalTable;
	}

	public	boolean	isExternalTable()
	{
		return( this.isExternalTable );
	}
}
